function Showbold() {
codebegin="[b]";
codeend="[/b]";
codechuli();
}
function Showitalic() {
codebegin="[i]";
codeend="[/i]";
codechuli();
}
function Showunder() {
codebegin="[u]";
codeend="[/u]";
codechuli();
}
function Showcenter() {
codebegin="[center]";
codeend="[/center]";
codechuli();
}
function Showaleft() {
codebegin="[aleft]";
codeend="[/aleft]";
codechuli();
}
function Showaright() {
codebegin="[aright]";
codeend="[/aright]";
codechuli();
}
function Showurl() {
codebegin="[url=http://]";
codeend="[/url]";
codechuli();
}
function Showemail() {
codebegin="[email]";
codeend="[/email]";
codechuli();
}
function Showlimage() {
codebegin="[leftimg]";
codeend="[/leftimg]";
codechuli();
}
function Showimage() {
codebegin="[img]";
codeend="[/img]";
codechuli();
}
function Showrimage() {
codebegin="[rightimg]";
codeend="[/rightimg]";
codechuli();
}
function Showswf() {
codebegin="[swf=400,300,left]";
codeend="[/swf]";
codechuli();
}
function Showsound() {
codebegin="[sound]";
codeend="[/sound]";
codechuli();
}
function Showhtml() {
codebegin="[html]";
codeend="[/html]";
codechuli();
}
function Showpage() {
codebegin="[nextpage]";
codeend="";
codechuli();
}
function Showshadow() {
codebegin="[shadow=blue,1]";
codeend="[/shadow]";
codechuli();
}
function Showglow() {
codebegin="[glow=red,2]";
codeend="[/glow]";
codechuli();
}
function Showmove() {
codebegin="[move]";
codeend="[/move]";
codechuli();
}
function Showfly() {
codebegin="[fly]";
codeend="[/fly]";
codechuli();
}
function showsize(size){
codebegin="[size="+size+"]";
codeend="[/size]";
codechuli();
}
function showfont(font){
codebegin="[face="+font+"]";
codeend="[/face]";
codechuli();
}
function showcolor(color){
codebegin="[color="+color+"]";
codeend="[/color]";
codechuli();
}
function codechuli(){
if ((document.selection)&&(document.selection.type == "Text")) {
var range = document.selection.createRange();
var ch_text=range.text;
range.text = codebegin + ch_text + codeend;
} 
else {
document.form.WZdata.value=document.form.WZdata.value+codebegin+codeend;
document.form.WZdata.focus();
}
}
